#!/bin/bash

function wait_emulator_to_be_ready() {
  echo "Emulator is booting,please waiting."
  boot_completed=false
  while [ "$boot_completed" == false ]; do
    status=$(adb wait-for-device shell getprop sys.boot_completed | tr -d '\r')
    echo -n ". "

    if [ "$status" == "1" ]; then
      boot_completed=true
      echo " "
    else
      sleep 1
    fi
  done
}



function disable_animation() {
  adb shell "settings put global window_animation_scale 0.0"
  adb shell "settings put global transition_animation_scale 0.0"
  adb shell "settings put global animator_duration_scale 0.0"
}

sleep 30
wait_emulator_to_be_ready
sleep 1
disable_animation
